Index: src/molecule_geometry.cpp
===================================================================
--- src/molecule_geometry.cpp	(revision b343068e46322d6b11c4bb7e0e7aaa7246d69132)
+++ src/molecule_geometry.cpp	(revision a67d19a01c3b0bbb8bd6d255ed9a4ffbe37f3138)
@@ -280,5 +280,5 @@
               if ((fabs(tmp)) > BondDistance) {
                 flag = false;
-                Log() << Verbose(0) << "Hit: atom " << Walker->Name << " in bond " << *(*Runner) << " has to be shifted due to " << tmp << "." << endl;
+                DoLog(0) && (Log() << Verbose(0) << "Hit: atom " << Walker->Name << " in bond " << *(*Runner) << " has to be shifted due to " << tmp << "." << endl);
                 if (tmp > 0)
                   Translationvector.x[j] -= 1.;
@@ -291,7 +291,7 @@
         Testvector.MatrixMultiplication(matrix);
         Center.AddVector(&Testvector);
-        Log() << Verbose(1) << "vector is: ";
+        DoLog(1) && (Log() << Verbose(1) << "vector is: ");
         Testvector.Output();
-        Log() << Verbose(0) << endl;
+        DoLog(0) && (Log() << Verbose(0) << endl);
 #ifdef ADDHYDROGEN
         // now also change all hydrogens
@@ -303,7 +303,7 @@
             Testvector.MatrixMultiplication(matrix);
             Center.AddVector(&Testvector);
-            Log() << Verbose(1) << "Hydrogen vector is: ";
+            DoLog(1) && (Log() << Verbose(1) << "Hydrogen vector is: ");
             Testvector.Output();
-            Log() << Verbose(0) << endl;
+            DoLog(0) && (Log() << Verbose(0) << endl);
           }
         }
@@ -352,11 +352,11 @@
   }
   // print InertiaTensor for debugging
-  Log() << Verbose(0) << "The inertia tensor is:" << endl;
+  DoLog(0) && (Log() << Verbose(0) << "The inertia tensor is:" << endl);
   for(int i=0;i<NDIM;i++) {
     for(int j=0;j<NDIM;j++)
-      Log() << Verbose(0) << InertiaTensor[i*NDIM+j] << " ";
-    Log() << Verbose(0) << endl;
-  }
-  Log() << Verbose(0) << endl;
+      DoLog(0) && (Log() << Verbose(0) << InertiaTensor[i*NDIM+j] << " ");
+    DoLog(0) && (Log() << Verbose(0) << endl);
+  }
+  DoLog(0) && (Log() << Verbose(0) << endl);
 
   // diagonalize to determine principal axis system
@@ -370,14 +370,14 @@
 
   for(int i=0;i<NDIM;i++) {
-    Log() << Verbose(1) << "eigenvalue = " << gsl_vector_get(eval, i);
-    Log() << Verbose(0) << ", eigenvector = (" << evec->data[i * evec->tda + 0] << "," << evec->data[i * evec->tda + 1] << "," << evec->data[i * evec->tda + 2] << ")" << endl;
+    DoLog(1) && (Log() << Verbose(1) << "eigenvalue = " << gsl_vector_get(eval, i));
+    DoLog(0) && (Log() << Verbose(0) << ", eigenvector = (" << evec->data[i * evec->tda + 0] << "," << evec->data[i * evec->tda + 1] << "," << evec->data[i * evec->tda + 2] << ")" << endl);
   }
 
   // check whether we rotate or not
   if (DoRotate) {
-    Log() << Verbose(1) << "Transforming molecule into PAS ... ";
+    DoLog(1) && (Log() << Verbose(1) << "Transforming molecule into PAS ... ");
     // the eigenvectors specify the transformation matrix
     ActOnAllVectors( &Vector::MatrixMultiplication, (const double *) evec->data );
-    Log() << Verbose(0) << "done." << endl;
+    DoLog(0) && (Log() << Verbose(0) << "done." << endl);
 
     // summing anew for debugging (resulting matrix has to be diagonal!)
@@ -404,11 +404,11 @@
     }
     // print InertiaTensor for debugging
-    Log() << Verbose(0) << "The inertia tensor is:" << endl;
+    DoLog(0) && (Log() << Verbose(0) << "The inertia tensor is:" << endl);
     for(int i=0;i<NDIM;i++) {
       for(int j=0;j<NDIM;j++)
-        Log() << Verbose(0) << InertiaTensor[i*NDIM+j] << " ";
-      Log() << Verbose(0) << endl;
-    }
-    Log() << Verbose(0) << endl;
+        DoLog(0) && (Log() << Verbose(0) << InertiaTensor[i*NDIM+j] << " ");
+      DoLog(0) && (Log() << Verbose(0) << endl);
+    }
+    DoLog(0) && (Log() << Verbose(0) << endl);
   }
 
@@ -433,7 +433,7 @@
 
   // rotate on z-x plane
-  Log() << Verbose(0) << "Begin of Aligning all atoms." << endl;
+  DoLog(0) && (Log() << Verbose(0) << "Begin of Aligning all atoms." << endl);
   alpha = atan(-n->x[0]/n->x[2]);
-  Log() << Verbose(1) << "Z-X-angle: " << alpha << " ... ";
+  DoLog(1) && (Log() << Verbose(1) << "Z-X-angle: " << alpha << " ... ");
   while (ptr->next != end) {
     ptr = ptr->next;
@@ -451,12 +451,12 @@
   n->x[0] =  cos(alpha) * tmp +  sin(alpha) * n->x[2];
   n->x[2] = -sin(alpha) * tmp +  cos(alpha) * n->x[2];
-  Log() << Verbose(1) << "alignment vector after first rotation: ";
+  DoLog(1) && (Log() << Verbose(1) << "alignment vector after first rotation: ");
   n->Output();
-  Log() << Verbose(0) << endl;
+  DoLog(0) && (Log() << Verbose(0) << endl);
 
   // rotate on z-y plane
   ptr = start;
   alpha = atan(-n->x[1]/n->x[2]);
-  Log() << Verbose(1) << "Z-Y-angle: " << alpha << " ... ";
+  DoLog(1) && (Log() << Verbose(1) << "Z-Y-angle: " << alpha << " ... ");
   while (ptr->next != end) {
     ptr = ptr->next;
@@ -475,8 +475,8 @@
   n->x[2] = -sin(alpha) * tmp +  cos(alpha) * n->x[2];
 
-  Log() << Verbose(1) << "alignment vector after second rotation: ";
+  DoLog(1) && (Log() << Verbose(1) << "alignment vector after second rotation: ");
   n->Output();
-  Log() << Verbose(1) << endl;
-  Log() << Verbose(0) << "End of Aligning all atoms." << endl;
+  DoLog(1) && (Log() << Verbose(1) << endl);
+  DoLog(0) && (Log() << Verbose(0) << "End of Aligning all atoms." << endl);
 };
 
